<?php
/*
Plugin Name: Hocus Pocus Buttons
Plugin URI: http://www.interessante-zeiten.de/
Description: Dynamische Bookmarks
Author: Henning Rosenhagen
Version: 0.1
Author URI: http://www.interessante-zeiten.de/
*/

function HP_Buttons_Init() {

	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;
	
	function HP_Buttons_Widget($args) {
		// Widget ausgeben
	
		global $hp_buttons_css_default;
	
		extract($args);
		$options = get_option('widget_hp_buttons');

		$css = empty($options['css']) ? $hp_buttons_css_default : $options['css'];
		#echo $before_widget;
		#echo $before_title . $title . $after_title;
		
		?>
		
	<li class="hp_buttons">
		<script type="text/javascript">
			var theurl = encodeURIComponent(location.href);
			var thetitle = encodeURIComponent(document.title);
			var bmbuttons = Array(
			    Array('Mister Wong', 'http://www.mister-wong.de', 'http://www.mister-wong.de/index.php?action=addurl&bm_url='+theurl+'&bm_description='+thetitle),
			    Array('del.icio.us', 'http://del.icio.us', 'http://del.icio.us/post?url='+theurl+'&title='+thetitle),
			    Array('Webnews', 'http://www.webnews.de', 'http://www.webnews.de/einstellen?url='+theurl+'&title='+thetitle),
			    Array('Yigg', 'http://yigg.de', 'http://yigg.de/neu?exturl='+theurl+'&exttitle='+thetitle),
			    Array('Furl', 'http://furl.net', 'http://furl.net/storeIt.jsp?t='+thetitle+'&u='+theurl),
			    Array('Technorati', 'http://www.technorati.com', 'http://www.technorati.com/faves?add='+theurl),
			    Array('Ma.gnolia', 'http://ma.gnolia.com', 'http://ma.gnolia.com/bookmarklet/add?url='+theurl+'&title='+thetitle+'&description='+thetitle),
			    Array('Google', 'http://www.google.de/bookmarks', 'http://www.google.de/bookmarks/mark?op=edit&output=popup&bkmk='+theurl+'&title='+thetitle),
			    Array('Google', 'http://www.google.com/bookmarks', 'http://www.google.com/bookmarks/mark?op=edit&output=popup&bkmk='+theurl+'&title='+thetitle),
			    Array('Spurl', 'http://www.spurl.net', 'http://www.spurl.net/spurl.php?url='+theurl+'&title='+thetitle),
			    Array('Reddit', 'http://reddit.com', 'http://reddit.com/submit?url='+theurl+'&title='+thetitle),
			    Array('Stumbleupon', 'http://www.stumbleupon.com', 'http://www.stumbleupon.com/refer.php?url='+theurl+'&title='+thetitle),
			    Array('Yahoo My Web', 'http://myweb2.search.yahoo.com', 'http://myweb2.search.yahoo.com/myresults/bookmarklet?u='+theurl+'&t='+thetitle),
			    Array('Blogmarks', 'http://blogmarks.net', 'http://blogmarks.net/my/new.php?mini=1&simple=1&url='+theurl+'&title='+thetitle),
			    Array('Digg', 'http://digg.com', 'http://digg.com/submit?phase=2&url='+theurl+'&title='+thetitle)
			);
			document.write('<div>');
			for (var button in bmbuttons) {
				document.write("<a href=\"" + bmbuttons[button][1] + "\" onclick=\"location.href='" + bmbuttons[button][2] + "';return false;\">"
				+ "bei " + bmbuttons[button][0] + ' speichern'
				+ "</a>");
				
			}
			document.write('</div>');
			</script>
		
		<?php
			
		print ('<style type="text/css"> ' . $css  . "</style>\n");
		echo $after_widget;
		print('</li>');
	
	}

	function HP_Buttons_Control() {
		// Voreinstellungen
		
		global $hp_buttons_css_default;
		
		$options = get_option('widget_hp_buttons');
		
		if ( $_POST['hp_buttons-submit'] ) {
			$newoptions['css'] = strip_tags(stripslashes($_POST['hp_buttons-css']));
		}
		if ( $options != $newoptions ) {
			$options = $newoptions;
			update_option('widget_hp_buttons', $options);
		}
		
		$css = htmlspecialchars($options['css'], ENT_QUOTES);
		if (empty($css)) $css = $hp_buttons_css_default;
		
		?>
		<div>
			<label for="hp_buttons-css">CSS-Stile f&uuml;r Bookmark-Links</label>
			<textarea name="hp_buttons-css" id="hp_buttons-css" style="width:100%;height:10em"><?php print($css); ?></textarea>
		</div>
		<?php

	}
	
	register_sidebar_widget('HP-Buttons', 'HP_Buttons_Widget');
	register_widget_control('HP-Buttons', 'HP_Buttons_Control');
		
}

$hp_buttons_css_default = <<<HEREDOC
.hp_buttons a:link {
    display:none;
}
.hp_buttons a:visited {
    display:block;
    text-align:center;
    padding:0.7ex 1ex;
}
.hp_buttons a:hover, .hp_buttons a:active {
    background:#ddd;
}
HEREDOC;



add_action('plugins_loaded', 'HP_Buttons_Init');

?>